Package org.apache.cxf.transport

# Interface DestinationFactory

public interface DestinationFactory
Factory for Destinations.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Destination`
  `getDestination(EndpointInfo ei, Bus bus)`
  Create a destination.
  `List<String>`
  `getTransportIds()`
  `Set<String>`
  `getUriPrefixes()`

- ## Method Details

  - ### getDestination

    Destination getDestination(EndpointInfo ei, Bus bus) throws IOException
    Create a destination.
    Parameters:
      `ei` - the endpoint info of the destination.
    Returns:
      the created Destination.
    Throws:
      `IOException`

  - ### getUriPrefixes

    Set<String> getUriPrefixes()

  - ### getTransportIds

    List<String> getTransportIds()